tidy.zoo {broom} | R Documentation

## Tidy a(n) zoo object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'zoo'
    tidy(x, ...)

### Arguments

`x` | A `zoo` object such as those created by `zoo::zoo()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each observation in the `zoo` time series and columns:

`index` | Index (usually date) for the zoo object
`series` | Name of the series
`value` | Value of the observation

### See Also

`tidy()`, `zoo::zoo()`

Other time series tidiers: `tidy.acf`, `tidy.spec`, `tidy.ts`

### Examples

    library(zoo)
    library(ggplot2)

    set.seed(1071)

    # data generated as shown in the zoo vignette
    Z.index <- as.Date(sample(12450:12500, 10))
    Z.data <- matrix(rnorm(30), ncol = 3)
    colnames(Z.data) <- c("Aa", "Bb", "Cc")
    Z <- zoo(Z.data, Z.index)

    tidy(Z)

    ggplot(tidy(Z), aes(index, value, color = series)) +
      geom_line()

    ggplot(tidy(Z), aes(index, value)) +
      geom_line() +
      facet_wrap(~ series, ncol = 1)

    Zrolled <- rollmean(Z, 5)
    ggplot(tidy(Zrolled), aes(index, value, color = series)) +
      geom_line()

[Package broom version 0.5.2 Index]